<?php
Route::group([
    'namespace' => 'Packages\Product\Http\Controllers',
    'middleware' => ['web', 'auth', 'verified'],
    'prefix' => 'panel'
], function () {
    Route::resource('products', 'ProductController');
    Route::get('product/simple-product/{id}', 'ProductController@productStepTwo')->name('saveProductStepTwo');
    Route::post('product/simple/update', 'ProductController@productStepThree')->name('saveProductStepThree');

    Route::get('product/product-variable/{id}', 'ProductController@productStepVariable')->name('productStepVariable');

//    add variable product
    Route::post('attributes_uploads/val_attribute', 'ProductController@syncAttribute')->name('val_attribute');
    Route::get('product/val_attribute', 'ProductController@syncAttribute')->name('syncAttribute');
//upload*****************************
    Route::get('uploads/{upload}', 'ProductController@destroyFile')->name('uploads.destroyFile');
    Route::post('product_uploads/FeaturedImage', 'ProductController@uploadFeature')->name('FeaturedImage');
    Route::post('product_uploads/GalleryImage', 'ProductController@uploadGallery')->name('GalleryImage');

});
Route::group([
    'namespace' => 'Packages\Product\Http\Controllers',
    'middleware' => ['web', 'auth', 'verified'],
    'prefix' => 'panel'
], function () {
    Route::resource('attributes', 'AttributeController');


});










