@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])
    @slot('style')
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول متغیر </h1>
        <p>ثبت محصول متغیر در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item"> محصولات متغیر</li>
    @endslot
    @slot('content')
        <div class="auth-background h-auto">
            @include('product::product.include.createAttribute')
            <div class="col-lg-12 col-md-12 mx-auto">
                <div class="card">
                    <div class="card-header">
                        <strong>{{ __('ثبت محصول متغیر') }}</strong>&nbsp;<i class="required">{{$product->title}}</i>
                    </div>
                    @component('product::components.message')
                    @endcomponent
                    <div class="card-body mx-lg-6 px-lg-4">
                        <form method="POST" action="{{ route('products.store',$product->id) }}"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="form-row ">
                                <div class="col-lg-2">
                                <span class="btn btn-primary btn_create variable_creator">
                                    <i class="fa fa-plus"></i> {{ __('افزودن ') }}
                                </span>
                                </div>
                            </div>
                            <div class="form-row ">
                                <div class="col-lg-12 added_variable">
                                    <div><label for="" class="label attribute">ویژگی ها</label></div>
                                    <div class="form-row attribute_style">

{{--                                        @foreach ($attributables as $item)--}}
{{--                                            {{dd($attributables)}}--}}
{{--                                            <div class="form-group col-lg-3">--}}
{{--                                                <label for="slug">{{$item->attribute_id}}</label>--}}
{{--                                                <select id="slug" type="text" class="form-control @error('slug') is-invalid @enderror" name="slug"  value="{{$item->val_attribute}}" autocomplete="slug" autofocus>--}}
{{--                                                     <option value="{{$item->val_attribute}}"></option>--}}
{{--                                                </select>--}}
{{--                                                @error('slug')--}}
{{--                                                <span class="invalid-feedback" role="alert">--}}
{{--                                                        <strong>{{ $message }}</strong>--}}
{{--                                                </span>--}}
{{--                                                @enderror--}}
{{--                                            </div>--}}
{{--                                        @endforeach--}}
                                    </div>
                                    <div class="attribute_style">
                                        @include('product::product.include.simpleProduct')
                                    </div>
                                    <div class="form-group col-lg-6">
                                        <label for="slug">  {{ __('product.title') }}</label>
                                        <input id="slug" type="text" class="form-control @error('slug') is-invalid @enderror" name="slug"  value="{{$product->slug}}" autocomplete="slug" autofocus>
                                        @error('slug')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-footer">
                    </div>
                </div>
            </div>
        </div>
    @endslot
    @slot('script')

    @endslot
@endcomponent

